Archive a fact-find template. Run in API Explorer
Ask AI
Hides the template from the default list and blocks new sessions.
POST
/api/v2/fact-find/templates/{factFindTemplate_uuid}/archive
curl \
--request POST 'https://api.plannrcrm.com/api/v2/fact-find/templates/6ff8f7f6-1eb3-3525-be4a-3932c805afed/archive' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "2fd19bd9-7466-46db-8d75-a1e17e41103f",
"created_at": "2026-11-02T13:04:32+00:00",
"updated_at": "2026-11-02T13:04:32+00:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-11-01T13:04:32+00:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0,
"sections": {
"uuid": "abbfd683-a78f-44e4-96d3-6156b6403109",
"created_at": "2026-11-02T13:04:32+00:00",
"updated_at": "2026-11-02T13:04:32+00:00",
"fact_find_template": {
"uuid": "d98f4652-e423-4c7a-913f-259524aa0b23",
"created_at": "2026-11-02T13:04:37+00:00",
"updated_at": "2026-11-02T13:04:37+00:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-11-01T13:04:37+00:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0
},
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false,
"blocks": {
"uuid": "da64fcfb-7884-497a-87a4-36fde0b9d329",
"created_at": "2026-11-02T13:04:37+00:00",
"updated_at": "2026-11-02T13:04:37+00:00",
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}